Subject: Re: [RFC/PATCH v2 2/3] submodule: introduce --[no-]display-comment-char

From: Matthieu Moy <[email-masked]>
Date: Thu, 29 Aug 2013 09:04:39 +0200

Jens Lehmann <[email-masked]> writes:

> But I'm not terribly happy about having the --for-status option in the
> submodule script in the first place, as I believe it should rather be
> handled by wt-status.c itself (reading the output of submodule summary
> using the start_command()/finish_command() combo instead of the simple
> run_command() currently used and prepending the comment char by using
> status_printf() & friends for each line).

I went the --for-status way because it's easier to do this in shell than
in C. But I'm close to be convinced that implementing this on the
wt-status.c side is better. I'll try a re-roll doing this when I get
time.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/